%define _use_internal_dependency_generator 0

Name:		perl-CSS-DOM
Version:	0.17
Release:	1%{?dist}
Epoch:		10
Summary:	Document Object Model for Cascading Style Sheets perl module

Group:		Applications/CPAN
License:	Perl
BuildArch:  noarch

BuildRequires:	perl-ExtUtils-MakeMaker

%description
%{summary}


# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides
%define __find_requires /usr/lib/rpm/find-requires

%prep
%setup -c -T -n CSS-DOM-%{version}
wget -qO- https://cpan.metacpan.org/authors/id/S/SP/SPROUT/CSS-DOM-%{version}.tar.gz | \
	tar xvz -C ${RPM_BUILD_DIR}


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod > CSS-DOM-%{version}-filelist
if [ "$(cat CSS-DOM-%{version}-filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

%clean
rm -rf %{buildroot}


%files -f CSS-DOM-%{version}-filelist
#defattr(-,root,root,-)

%changelog
* Sun Nov  4 2018 JoungKyun.Kim <hostmaster@oops.org> 10:0.17-1%{?dist}
- update 0.17

* Fri Feb  5 2016 JoungKyun.Kim <hostmaster@oops.org> 10:0.16-1%{?dist}
- First build

